package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponVerifyType {

    // 0: 微信B端核销 1：POS独立核销 2：POS交易核销
    VERIFY_B(0,"微信B端核销"),
    VERIFY_POS_INDEPENDENT(1, "POS独立核销"),
    VERIFY_POS_PAY(2, "POS交易核销"),
    ;

    public static EnumCouponVerifyType getEnum(Integer code) {
        for (EnumCouponVerifyType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponVerifyType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
